Skip to main content
DELETE
/
v2
/
admin
/
extensions
/
voice
/
{id}
Delete Voice Extension
curl --request DELETE \
  --url https://api.voxo.co/v2/admin/extensions/voice/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.voxo.co/v2/admin/extensions/voice/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.voxo.co/v2/admin/extensions/voice/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "number": "<string>",
  "email": "<string>",
  "peerName": "<string>",
  "dnd": "<string>",
  "callerIdNumber": "<string>",
  "enableMeet": 123,
  "enableTranscription": 123,
  "trunk": "<string>",
  "trunkHost": "<string>",
  "trunkCallerIdSource": "<string>",
  "trunkEmergencyCallerIdOverride": "<string>",
  "callLimit": 123,
  "mailbox": "<string>",
  "recording": "<string>",
  "dialTimeout": 123,
  "outboundDialPrefix": "<string>",
  "enableDirectFax": 123,
  "recordingEmail": "<string>",
  "includeInDialByName": "<string>",
  "includeInPhonebook": "<string>",
  "enableForwarding": "<string>",
  "emergencyLocationComment": "<string>",
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "branch": {
    "id": 123,
    "name": "<string>"
  },
  "routingProfile": {
    "id": 123,
    "name": "<string>",
    "type": "<string>"
  },
  "musicOnHold": {
    "id": 123,
    "name": "<string>"
  },
  "user": {
    "id": 123,
    "email": "<string>"
  },
  "efaxUser": {
    "id": 123,
    "name": "<string>",
    "email": "<string>",
    "callerIdNumber": "<string>"
  },
  "emergencyLocation": {
    "id": 123,
    "address": "<unknown>"
  },
  "devices": [],
  "noAnswerDestinations": [],
  "busyDestinations": [],
  "offlineDestinations": [],
  "forwardingDestinations": []
}
{
  "name": "<string>",
  "message": "<string>",
  "code": 123,
  "validationErrors": [
    "<string>"
  ]
}
{
  "name": "<string>",
  "message": "<string>",
  "code": 123,
  "validationErrors": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Extension ID

Pattern: ^[1-9]\d*$

Response

Deleted voice extension

id
number
required

Extension ID

name
string | null
required

Extension name

number
string | null
required

Extension number

email
string | null
required

Extension email

peerName
string | null
required

SIP peer name

dnd
string | null
required

Do not disturb state

callerIdNumber
string | null
required

Outbound caller ID number

enableMeet
number
required

Meet enabled (1 = yes, 0 = no)

enableTranscription
number
required

Transcription enabled (1 = yes, 0 = no)

trunk
string | null
required

Trunk state

trunkHost
string | null
required

Trunk host

trunkCallerIdSource
string | null
required

Trunk caller ID source

trunkEmergencyCallerIdOverride
string | null
required

Trunk emergency caller ID override

callLimit
number | null
required

Concurrent call limit

mailbox
string | null
required

Mailbox address

recording
string | null
required

Call recording mode

dialTimeout
number | null
required

Inbound ring timeout (seconds)

outboundDialPrefix
string | null
required

Outbound dial prefix

enableDirectFax
number
required

Direct fax enabled (1 = yes, 0 = no)

recordingEmail
string | null
required

Recording delivery email

includeInDialByName
string | null
required

Dial-by-name inclusion

includeInPhonebook
string | null
required

Phonebook inclusion

enableForwarding
string | null
required

Forwarding state

emergencyLocationComment
string | null
required

Free-text emergency location comment

tenant
object
required

Owning tenant

branch
object
required

Branch

routingProfile
object
required

Routing profile

musicOnHold
object | null
required

Music on hold

user
object | null
required

Linked user

efaxUser
object | null
required

eFax user mapping

emergencyLocation
object | null
required

Emergency location

devices
object[]
required

Assigned devices

noAnswerDestinations
object[]
required

No-answer routing

busyDestinations
object[]
required

Busy routing

offlineDestinations
object[]
required

Offline routing

forwardingDestinations
object[]
required

Unconditional forwarding